%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Config-JSON
Version:        1.5202
Release:        4%{?dist}
Summary:        A JSON based config file system.

Group:          Development/Libraries
License:        GPL & Artistic License
URL:            http://search.cpan.org/~rizen/Config-JSON-%{version}/
Source0:        http://www.cpan.org/authors/id/R/RI/RIZEN/Config-JSON-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Any::Moose)
BuildRequires:	perl(JSON)
BuildRequires:  perl(Moo)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
This package parses the config files written in JSON.
It also does some non-JSON stuff, like allowing for comments in the files.
If you want to see it in action, it is used as the config file system in WebGUI http://www.webgui.org/.

%prep
%setup -q -n Config-JSON-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{!?_licensedir:%global license %%doc}
%license LICENSE
# For noarch packages: vendorlib
%{perl_vendorlib}/*
#exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.5202-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.5202-3
- Rebuilt for fc23

* Fri Jul 24 2015 momo-i <webmaster@momo-i.org> - 1.5202-2
- Update to 1.5202

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.5100-2
- Rebuilt for fc22

* Fri Oct 18 2013 momo-i <webmaster@momo-i.org> - 1.5100-1
- Initial rpm release.
